# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define sub_name	itest
%define name		maven-plugin-%{sub_name}
%define version		1.0

%define svn_version     20060129
%define release         0.%{svn_version}.1jpp

%define section		free

%define maven_dir	/usr/share/maven
%define plugin_file_name maven-itest-plugin

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Run JUnit integration tests
License:	Apache Software License 2.0
Url:		http://maven.apache.org/plugins-sandbox/itest/
Group:		Text Processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-src.tar.gz
#svn export -r '{2006-01-29}' https://svn.apache.org/repos/asf/maven/maven-1/plugins-sandbox/trunk/itest/ maven-plugin-itest

Source1:		%{name}-pom-maven2jpp-depcat.xsl
Source2:		%{name}-pom-maven2jpp-newdepmap.xsl
Source3:		%{name}-pom-maven2jpp-mapdeps.xsl
Source4:        %{name}-jpp-depmap.xml

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	junit
BuildRequires:	maven >= 0:1.1
BuildRequires:	maven-plugins-base
BuildRequires:	maven-plugin-license
BuildRequires:	maven-plugin-test
Requires:		maven >= 0:1.1
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Run JUnit tests on artifacts such as jars, ejbs, wars, ears.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}

%build

mkdir -p $(pwd)/.maven/repository/JPP/jars

export DEPCAT=$(pwd)/%{name}-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > %{name}-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done
for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

# Comment out line extending plugin-parent's project file. We don't need 
# anything from it for this plugin.
sed -i -e s:"<extend>../plugin-parent/project.xml</extend>":"<!-- <extend>../plugin-parent/project.xml</extend> -->":g project.xml

export MAVEN_HOME_LOCAL=$(pwd)/.maven
maven \
        -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
		jar:jar

%install
install -d -m 755 $RPM_BUILD_ROOT%{maven_dir}/plugins
install -m 644 target/%{plugin_file_name}-1.0.jar \
		$RPM_BUILD_ROOT%{maven_dir}/plugins/%{plugin_file_name}-%{version}.jar
ln -s %{plugin_file_name}-%{version}.jar $RPM_BUILD_ROOT%{maven_dir}/plugins/%{plugin_file_name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%dir %{maven_dir}/plugins
%{maven_dir}/plugins/%{plugin_file_name}.jar
%{maven_dir}/plugins/%{plugin_file_name}-%{version}.jar

%changelog
* Mon Jan 30 2006 Deepak Bhole <dbhole@redhat.com> 0:1.0-0.20060119.1jpp
- Initial build.

